// testmidi.ck -- print midi input

MidiIn min ;
MidiOut mout ;
MidiMsg msg ;

Std.atoi(me.arg(0)) => int midiinnum ;
Std.atoi(me.arg(1)) => int midioutnum ;

if (!min.open(midiinnum)) {
    <<< "Cannot open input", me.arg(0) >>>;
    me.exit();
}

if (!mout.open(midioutnum)) {
    <<< "Cannot open input", me.arg(1) >>>;
    me.exit();
}

<<< "START MIDI TEST" >>>;
while (true) {
    min => now ;
    while (min.recv(msg)) {
        <<< "TEST: ", msg.data1, msg.data2, msg.data3 >>>;
    }
}
